Create or apply a bonus by `bonus_id` to the work order.
Create or apply a bonus by bonus_id to the work order.
access_token OAuth 2.0 Access Token
In: query
Work Order ID
Bonus ID
application/json
bonus model
TypeScript Definitions
Use the request body type in TypeScript.
Whether the bonus is charged
curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/bonuses/0" \ -H "Content-Type: application/json" \ -d '{ "charged": true }'{
"id": 20546,
"work_order_id": 20546,
"title": "Install Point of Sale Terminal",
"status": {
"id": 3,
"name": "Assigned",
"display": "Checked out",
"code": "checked_out",
"is_routed": false,
"delay": 0,
"ncns": true,
"sub_status": "",
"confirmed": true,
"correlation_id": "139afced528488f08884c5e0d75e23b8cca1f729"
},
"type_of_work": {
"id": 62,
"name": "Point of Sale (POS)"
},
"location": {
"coordinates": {
"latitude": 44.8963,
"longitude": -93.2682,
"exact": true
},
"work_order_id": 20546,
"mode": "custom",
"address1": "1254 Commerce Lane",
"address2": "",
"city": "Minneapolis",
"state": "MN",
"zip": "55402",
"country": "US",
"notes": [],
"type": {
"id": 1,
"name": "Commercial"
},
"saved_location": {
"id": 0,
"name": "",
"display_name": "",
"contact": {
"name": "",
"phone": ""
},
"group": {
"id": 0,
"name": ""
}
},
"display_name": "1254 Commerce Lane, Minneapolis, MN 55402",
"status_id": 3,
"correlation_id": "d3f8591566b5bf59a06279cedc02501bc16bbb6e",
"zoom": "13z",
"map": {
"url": "https://maps.fieldnation.com/static/-93.2682,44.8963,13",
"href": "https://www.google.com/maps/search/1254+Commerce+Lane+Minneapolis+MN+55402/@44.8963,-93.2682,13z"
},
"actions": []
}
}{
"status": 400,
"message": "Validation failed: field 'title' is required"
}{
"status": 500,
"message": "Operation successful."
}{
"status": 403,
"message": "You do not have permission to access this work order"
}{
"status_code": 404,
"message": "Work order not found"
}{
"status": 500,
"message": "An unexpected error occurred. Please try again later or contact support."
}{
"status": 500,
"message": "Operation successful."
}application/json
application/json
application/json
application/json
application/json
application/json
application/json
Last updated on